package application

import (
	"fmt"
	"net/http"
	"sirlab.de/go/knyt/user"
)

func (app *Application) SyncHandler(usr *user.User, w http.ResponseWriter, r *http.Request) {
	// usrId :=
	// usr := app.GetUserById(usrId)
	// if usr.Game != gameRef && usr.IsAdmin()  {
	// 	w.WriteHeader(http.StatusForbidden)
	// 	fmt.Fprintf(w, "forbidden")
	// 	return
	// }

	gameRef := r.URL.Query().Get("g")
	gm, err := app.GetGameById(gameRef)
	if err != nil {
		w.WriteHeader(http.StatusNotFound)
		fmt.Fprintf(w, "game not found")
		return
	}

	eng := gm.GetEngine()
	eng.SyncHandler(w, r)
}
